Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

Main Page | Modules | Namespace List | Class Hierarchy | Class List | Namespace Members | Class Members | Related Pages

# openvrml::sfimage Class Reference
[Field Values]

Inheritance diagram for openvrml::sfimage:

[legend]
List of all members.

## Detailed Description

A pixmap.

Model of
  FieldValue

## Public Types
typedef image | value_type
| Type of value.
## Public Member Functions
| sfimage (const image &value=image()) throw (std::bad_alloc)
virtual | ~sfimage () throw ()
| Destroy.
virtual std::auto_ptr< field_value > | clone () const throw (std::bad_alloc)
| Virtual copy constructor.
virtual field_value & | assign (const field_value &value) throw (std::bad_cast, std::bad_alloc)
| Virtual assignment.
virtual type_id | type () const throw ()
| Get the field_value::type_id associated with this class.
## Public Attributes
image | value
| Image data.
## Private Member Functions
virtual void | print (std::ostream &out) const
| Print to an output stream.
## Related Functions
(Note that these are not member functions.)
bool | operator== (const sfimage &lhs, const sfimage &rhs) throw()
| Compare for equality.
bool | operator!= (const sfimage &lhs, const sfimage &rhs) throw()
| Compare for inequality.

## Member Typedef Documentation

openvrml::sfimage::value_type

| Type of value.

## Constructor & Destructor Documentation

openvrml::sfimage::sfimage | ( | const image & | value = `image()` | ) | throw (std::bad_alloc)`[explicit]`

  | Construct. Parameters:
  | value | initial value.
  Exceptions:
  | std::bad_alloc | if memory allocation fails.

openvrml::sfimage::~sfimage | ( |  | ) | throw ()`[virtual]`

| Destroy.

## Member Function Documentation

std::auto_ptr< field_value > openvrml::sfimage::clone | ( |  | ) | const throw (std::bad_alloc)`[virtual]`

  | Virtual copy constructor. Returns: a pointer to a copy of the object. Exceptions:
  | std::bad_alloc | if memory allocation fails.
Implements openvrml::field_value.

field_value & openvrml::sfimage::assign | ( | const field_value & | value | ) | throw (std::bad_cast, std::bad_alloc)`[virtual]`

  | Virtual assignment. Parameters:
  | value | the new value to give the object.
  Returns: a reference to the object. Exceptions:
  | std::bad_cast | if `value` is not an sfimage.
  | std::bad_alloc | if memory allocation fails.
Implements openvrml::field_value.

field_value::type_id openvrml::sfimage::type | ( |  | ) | const throw ()`[virtual]`

| Get the field_value::type_id associated with this class. Returns: `field_value::sfimage`. Implements openvrml::field_value.

void openvrml::sfimage::print | ( | std::ostream & | out | ) | const`[private, virtual]`

  | Print to an output stream. Parameters:
  | out | an output stream.
Implements openvrml::field_value.

## Friends And Related Function Documentation

bool operator== | ( | const sfimage & | lhs,
|  | const sfimage & | rhs
| ) | throw()`[related]`

  | Compare for equality. Parameters:
  | lhs | left-hand operand.
  | rhs | right-hand operand.
Returns: `true` if `lhs` and `rhs` have the same value; `false` otherwise.

bool operator!= | ( | const sfimage & | lhs,
|  | const sfimage & | rhs
| ) | throw()`[related]`

  | Compare for inequality. Parameters:
  | lhs | left-hand operand.
  | rhs | right-hand operand.
Returns: `true` if `lhs` and `rhs` do not have the same value; `false` otherwise.

## Member Data Documentation

image openvrml::sfimage::value

| Image data.